﻿//Dette skriptet tar seg av hva som skjer når bruker trykker på de ulike GUI-pilene. 
//Basert på hvilken pil som blir berørt av enten venstre eller høyre hånd, startes det en bevegelse i retningen indikert av pilen.
//Siden funksjonen er av typen onTriggerStay, så varer bevegelsen så lenge som man kolliderer med objektet, altså oppholdet(stay). 

var speed : float = 1.5; //Bevegelseshastighet
var moveObject : GameObject; //Hvilket game object som skal beveges.

function OnTriggerStay(theCollision : Collider) {//Funksjonen utføres ved kollisjon med element som har "Is Trigger" aktivert. 
	

	//If-setninger for å sjekke hvilket element det kollideres med for å så beveges i den retningen
	if(theCollision.gameObject.name == "forward")
	{
		//movement in direction
	
		moveObject.transform.Translate(Vector3(0, 0, speed) * Time.deltaTime);
		
	}
	

	if(theCollision.gameObject.name == "backward")
	{
		//movement in direction
	
		moveObject.transform.Translate(Vector3(0, 0, -speed) * Time.deltaTime);
		
	}
	
	
	if(theCollision.gameObject.name == "left")
	{
		//movement in direction
		
		moveObject.transform.Translate(Vector3(-speed, 0, 0) * Time.deltaTime);
		
	}
	
	
	if(theCollision.gameObject.name == "right")
	{
		//movement in direction
		
		moveObject.transform.Translate(Vector3(speed, 0, 0) * Time.deltaTime);
		
	}
	
	
	
}

